Package org.apache.commons.math3.exception

# Class NumberIsTooLargeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.apache.commons.math3.exception.MathIllegalArgumentException
org.apache.commons.math3.exception.MathIllegalNumberException
org.apache.commons.math3.exception.NumberIsTooLargeException

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

public class NumberIsTooLargeException extends MathIllegalNumberException
Exception to be thrown when a number is too large.

Since:
  2.2
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.commons.math3.exception.MathIllegalNumberException

`INTEGER_ZERO`

## Constructor Summary

Constructors
Constructor
Description
`NumberIsTooLargeException(Number wrong, Number max, boolean boundIsAllowed)`
Construct the exception.
`NumberIsTooLargeException(Localizable specific, Number wrong, Number max, boolean boundIsAllowed)`
Construct the exception with a specific context.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getBoundIsAllowed()`
`Number`
`getMax()`

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException

`getArgument`

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NumberIsTooLargeException

public NumberIsTooLargeException(Number wrong, Number max, boolean boundIsAllowed)
Construct the exception.

Parameters:
  `wrong` - Value that is larger than the maximum.
  `max` - Maximum.
  `boundIsAllowed` - if true the maximum is included in the allowed range.

### NumberIsTooLargeException

public NumberIsTooLargeException(Localizable specific, Number wrong, Number max, boolean boundIsAllowed)
Construct the exception with a specific context.

Parameters:
  `specific` - Specific context pattern.
  `wrong` - Value that is larger than the maximum.
  `max` - Maximum.
  `boundIsAllowed` - if true the maximum is included in the allowed range.

## Method Details

### getBoundIsAllowed

public boolean getBoundIsAllowed()

Returns:
  `true` if the maximum is included in the allowed range.

### getMax

public Number getMax()

Returns:
  the maximum.